Index: kernel/febase.cc
===================================================================
--- kernel/febase.cc	(revision 47fa19583c6aac5d7fbb8a1d45f75499e841eafd)
+++ kernel/febase.cc	(revision e53182eb35f1f9b5aacabc078da3311f55eacc52)
@@ -2,5 +2,5 @@
 *  Computer Algebra System SINGULAR     *
 ****************************************/
-/* $Id: febase.cc,v 1.20 2008-10-13 17:17:06 Singular Exp $ */
+/* $Id: febase.cc,v 1.21 2008-10-13 17:32:34 Singular Exp $ */
 /*
 * ABSTRACT: i/o system
@@ -826,7 +826,7 @@
     if ((more=feBufferStart-feBuffer+strlen(fmt)+100)>feBufferLength)
     {
-      more = ((more + (4*1024-1))/(4*1024))*(4*1024);
+      more = ((more + (8*1024-1))/(8*1024))*(8*1024);
       int l=s-feBuffer;
-      if (more!=feBufferLength)
+      //if (more!=feBufferLength)
       {
         feBuffer=(char *)omReallocSize((ADDRESS)feBuffer,feBufferLength,
@@ -868,18 +868,21 @@
 char * StringAppendS(const char *st)
 {
-  /* feBufferStart is feBuffer + strlen(feBuffer);*/
-  int l;
-  long more;
-  int ll=feBufferStart-feBuffer;
-  if ((more=ll+2+(l=strlen(st)))>feBufferLength)
-  {
-    more = ((more + (4*1024-1))/(4*1024))*(4*1024);
-    feBuffer=(char *)omReallocSize((ADDRESS)feBuffer,feBufferLength,
-                                                     more);
-    feBufferLength=more;
-    feBufferStart=feBuffer+ll;
-  }
-  strcat(feBufferStart, st);
-  feBufferStart +=l;
+  if (*st!='\0')
+  {
+    /* feBufferStart is feBuffer + strlen(feBuffer);*/
+    int l;
+    long more;
+    int ll=feBufferStart-feBuffer;
+    if ((more=ll+2+(l=strlen(st)))>feBufferLength)
+    {
+      more = ((more + (8*1024-1))/(8*1024))*(8*1024);
+      feBuffer=(char *)omReallocSize((ADDRESS)feBuffer,feBufferLength,
+                                                       more);
+      feBufferLength=more;
+      feBufferStart=feBuffer+ll;
+    }
+    strcat(feBufferStart, st);
+    feBufferStart +=l;
+  }
   return feBuffer;
 }
Index: kernel/gnumpc.cc
===================================================================
--- kernel/gnumpc.cc	(revision 47fa19583c6aac5d7fbb8a1d45f75499e841eafd)
+++ kernel/gnumpc.cc	(revision e53182eb35f1f9b5aacabc078da3311f55eacc52)
@@ -2,5 +2,5 @@
 *  Computer Algebra System SINGULAR     *
 ****************************************/
-/* $Id: gnumpc.cc,v 1.7 2008-03-19 17:44:08 Singular Exp $ */
+/* $Id: gnumpc.cc,v 1.8 2008-10-13 17:32:34 Singular Exp $ */
 /*
 * ABSTRACT: computations with GMP complex floating-point numbers
@@ -461,10 +461,10 @@
 {
   if (a==NULL)
-    StringAppend("0");
+    StringAppendS("0");
   else
   {
     char *out;
     out= complexToStr(*(gmp_complex*)a,gmp_output_digits);
-    StringAppend(out);
+    StringAppendS(out);
     //    omFreeSize((ADDRESS)out, (strlen(out)+1)* sizeof(char) );
     omFree( (ADDRESS)out );
Index: kernel/gnumpfl.cc
===================================================================
--- kernel/gnumpfl.cc	(revision 47fa19583c6aac5d7fbb8a1d45f75499e841eafd)
+++ kernel/gnumpfl.cc	(revision e53182eb35f1f9b5aacabc078da3311f55eacc52)
@@ -2,5 +2,5 @@
 *  Computer Algebra System SINGULAR     *
 ****************************************/
-/* $Id: gnumpfl.cc,v 1.9 2008-05-20 14:40:00 Singular Exp $ */
+/* $Id: gnumpfl.cc,v 1.10 2008-10-13 17:32:35 Singular Exp $ */
 /*
 * ABSTRACT: computations with GMP floating-point numbers
@@ -479,5 +479,5 @@
   {
     out= floatToStr(*(gmp_float*)a,gmp_output_digits);
-    StringAppend(out);
+    StringAppendS(out);
     //omFreeSize((ADDRESS)out, (strlen(out)+1)* sizeof(char) );
     omFree( (ADDRESS)out );
@@ -485,5 +485,5 @@
   else
   {
-    StringAppend("0");
+    StringAppendS("0");
   }
 }
Index: kernel/ring.cc
===================================================================
--- kernel/ring.cc	(revision 47fa19583c6aac5d7fbb8a1d45f75499e841eafd)
+++ kernel/ring.cc	(revision e53182eb35f1f9b5aacabc078da3311f55eacc52)
@@ -2,5 +2,5 @@
 *  Computer Algebra System SINGULAR     *
 ****************************************/
-/* $Id: ring.cc,v 1.103 2008-08-22 11:56:55 Singular Exp $ */
+/* $Id: ring.cc,v 1.104 2008-10-13 17:32:35 Singular Exp $ */
 
 /*
@@ -545,5 +545,5 @@
   for (l=0; ; l++)
   {
-    StringAppend((char *)rSimpleOrdStr(r->order[l]));
+    StringAppendS((char *)rSimpleOrdStr(r->order[l]));
     if ((r->order[l] != ringorder_c) && (r->order[l] != ringorder_C))
     {
